- Home
- API Enriched
- Shape
- shape
- GET Devices By Session.
GET Devices By Session.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/dashboard/session';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"body":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/dip/namespaces/system/dashboard/session \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "body": "example" }'GET devices session information.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Any payload to be passed on the Dashboard Session API.
object
Data to be send as the body of request. Note that multipart/formdata is not supported.
Examplegenerated
{ "body": "example"}Responses
Section titled “Responses”A successful response.
Any payload to be return by Dashboard Session API.
object
Data received from the downstream server.
HTTP status as reported by the backend.
Examplegenerated
{ "body": "example", "status": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example